LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Suse/Novell (http://www.linuxquestions.org/questions/suse-novell-60/)
-   -   Audacity (http://www.linuxquestions.org/questions/suse-novell-60/audacity-422686/)

storywizard 03-07-2006 10:51 PM

Audacity
 
I have been using Audacity on my Windows box, and am trying to get an install for Suse 10, but I cannot seem to find an RPM that works, has anyone had any success with Audacity and Suse 10??

Storywizard

jschiwal 03-08-2006 12:22 AM

I don't remember if I installed it from OpenSuSE CD, or it I downloaded it from http://rpm.pbone.net

> rpm -q --provides audacity
audacity = 1.2.3-11

If has a fairly long list of libraries that are required:
rpm -q --requires audacity

ceros 03-08-2006 06:01 AM

Packman has the RPM for Suse 10.

http://packman.links2linux.org/

storywizard 03-08-2006 10:27 AM

Hi, I have tried that RPM, I get an error message in Yast like this:

ERROR
following packages haven't been found
on the medium : audacity

any idea??

Storywizard

abisko00 03-08-2006 11:11 AM

Quote:

ERROR
following packages haven't been found
on the medium : audacity
Did you refresh the source before attempting the installation? Maybe the package has been updated and the previous version (which is stored in your local YaST database) cannot be found anymore.

storywizard 03-08-2006 11:26 AM

hmmm, I take it you mean the DVD that I used for Suse 10, that has to be somehow refreshed? I did an online update, now Yast will read the package, but still says that audacity is not in the package, I even tried a version for Suse9.1 When I do a search in YAST for audacity it does not find it, I dont think it came on my DVD

I tried a few other RPMs, same thing, I believe there is a problem with YAST...any suggestions??

Storywizard

jens 03-08-2006 04:22 PM

Try apt for your online installations.

Installing apt:
http://en.opensuse.org/APT

Add the following line in /etc/apt/sources.list:

rpm ftp://ftp4.gwdg.de/pub/linux/suse/apt/ SuSE/10.0-i386 packman

Next (as root):
apt-get update
apt-get install audacity

KimVette 03-08-2006 04:46 PM

I am running Audacity in SuSE 10.0 right this very moment, actually.

I installed it from the Packman repository. The key to avoiding that error on the Packman site is to go to the Installation Source panel and refresh the packman source IMMEDIATELY before attempting to use YaST to install a package.

jschiwal 03-08-2006 11:54 PM

You could also download the file and either use "yast -i audacity-<version>.rpm" or rpm -Uhv audicity-<version>.rpm"
( <version> is a place holder for version. You can use autocompletion to save typing. )

abisko00 03-09-2006 03:01 AM

Quote:

hmmm, I take it you mean the DVD that I used for Suse 10, that has to be somehow refreshed?
No, I was talking about the packman source.

XSIWILL 03-10-2006 12:56 AM

I just installed it via apt-get..thanks for the tip!


All times are GMT -5. The time now is 07:20 PM.